package org.omg.CORBA;

import org.omg.CORBA.portable.OutputStream;
import org.omg.CORBA.portable.InputStream;
import org.omg.CORBA.portable.Streamable;

public final class FloatHolder implements Streamable
{
    public float value;
    
    public FloatHolder() {
    }
    
    public FloatHolder(float value) {
        this.value = value;
    }
    
    public void _read(InputStream inputStream) {
        this.value = inputStream.read_float();
    }
    
    public void _write(OutputStream outputStream) {
        outputStream.write_float(this.value);
    }
    
    public TypeCode _type() {
        return ORB.init().get_primitive_tc(TCKind.tk_float);
    }
}
